Bug 984317 - No currencies in Skrooge
No currencies in Skrooge
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: skrooge (Show other bugs)
19
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Siddharth Sharma
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-14 17:32 EDT by jonathan
Modified: 2014-05-14 19:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: skrooge-1.8.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-11 23:57:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace skrooge 2>&1 |tee skg.trc (133.61 KB, text/plain)
2013-07-14 17:35 EDT, jonathan
no flags Details

  None (edit)
Description jonathan 2013-07-14 17:32:29 EDT
Description of problem:
Wehn starting skrooge, right after a yum install, I get an error pop-up "[ERR-8]: Unknown unit 'USD'"
Then I have no currencies available in "units"

Version-Release number of selected component (if applicable):1.6.0.2


How reproducible:just launch skrooge


Steps to Reproduce:
1.yum install skrooge
2.launch skrooge
3.

Actual results:


Expected results:I should have some currencies already defined and available in Skrooge


Additional info:
Comment 1 jonathan 2013-07-14 17:35:27 EDT
Created attachment 773426 [details]
strace skrooge 2>&1 |tee skg.trc
Comment 2 jonathan 2013-07-14 17:36:25 EDT
I forgot to mention, I use Gnome desktop.
Comment 3 Rex Dieter 2013-07-17 08:19:43 EDT
I suspect a missing runtime dependency, reporter, does this help?

yum install kde-runtime


If so, adding something like this to skrooge.spec should do the trick:

Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}
Comment 4 jonathan 2013-07-18 19:42:18 EDT
Effectively, installing kde-runtime fixed it.
Comment 5 Fedora Update System 2013-07-19 22:42:05 EDT
skrooge-1.7.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/skrooge-1.7.1-2.fc19
Comment 6 Fedora Update System 2013-07-19 22:56:06 EDT
skrooge-1.7.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/skrooge-1.7.1-2.fc18
Comment 7 Fedora Update System 2013-07-19 23:09:44 EDT
skrooge-1.7.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/skrooge-1.7.1-2.fc17
Comment 8 Fedora Update System 2013-07-21 20:27:55 EDT
Package skrooge-1.7.1-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing skrooge-1.7.1-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13317/skrooge-1.7.1-2.fc17
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2014-01-07 09:38:58 EST
skrooge-1.8.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/skrooge-1.8.0-1.fc19
Comment 10 Fedora Update System 2014-01-11 23:57:51 EST
skrooge-1.7.1-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2014-05-14 19:59:19 EDT
skrooge-1.8.0-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.